std::ranges::less Struct Reference

`#include <ranges_cmp.h>`

## Public Types

using | is_transparent = __is_transparent

## Public Member Functions

template<typename _Tp , typename _Up > requires totally_ordered_with<_Tp, _Up>
constexpr bool | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::declval< _Tp >()< std::declval< _Up >()))

## Detailed Description

ranges::less function object type.

Definition at line 112 of file ranges_cmp.h.

## Member Typedef Documentation

## is_transparent

using std::ranges::less::is_transparent = __is_transparent

Definition at line 135 of file ranges_cmp.h.

## Member Function Documentation

## operator()()

template<typename _Tp , typename _Up >
requires totally_ordered_with<_Tp, _Up>

constexpr bool std::ranges::less::operator() | ( | _Tp && | __t,
|  | _Up && | __u
| ) |  | const

inline constexpr noexcept

Definition at line 117 of file ranges_cmp.h.

The documentation for this struct was generated from the following file:

- ranges_cmp.h